Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::VBox Class Reference

A GtkVBox C++ wrapper class. More...

`#include <inti/gtk/box.h>`

Inheritance diagram for Inti::Gtk::VBox:

List of all members.

## Public Member Functions

Constructors

- VBox (bool homogeneous=false, int spacing=0)
    Construct a new VBox with the specified homogeneous and spacing values.
- virtual ~VBox ()
    Destructor.

Accessors

- GtkVBox * gtk_vbox () const
    Get a pointer to the GtkVBox structure.
- GtkVBoxClass * gtk_vbox_class () const
    Get a pointer to the GtkVBoxClass structure.
- operator GtkVBox * () const
    Conversion operator; safely converts a VBox to a GtkVBox pointer.

## Protected Member Functions

Constructors

- VBox (GtkVBox *vbox, bool reference=false)
    Construct a new VBox from an existing GtkVBox.

## Detailed Description

A GtkVBox C++ wrapper class.

VBox is a container that organizes child widgets into a single column. All children are allocated the same width. Use the Box packing interface to determine the arrangement, spacing, width, and alignment of VBox children.

## Constructor & Destructor Documentation

Inti::Gtk::VBox::VBox | ( | GtkVBox * | vbox,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new VBox from an existing GtkVBox. Parameters:
  vbox | A pointer to a GtkVBox.
  reference | Set false if the initial reference count is floating, set true if it's not.
The vbox can be a newly created GtkVBox or an existing GtkVBox. (see G::Object::Object).

Inti::Gtk::VBox::VBox | ( | bool | homogeneous = false,
|  | int | spacing = 0
| ) | `[explicit]`

  | Construct a new VBox with the specified homogeneous and spacing values. Parameters:
  homogeneous | Set true if all children are to be given equal space allotments.
  spacing | The number of pixels to place by default between children.

The documentation for this class was generated from the following file:

- box.h

Main Page - Footer